button, .button {
  border: 0;
  padding: 10px 20px;
  outline: none;
  cursor: pointer;
  background-color: #dfe6e9;
  color: #333;
}

button:hover, button:focus, .button:hover, .button:focus {
  background-color: #c7d3d8;
}

button:active, .button:active {
  background-color: #bbcad0;
}

button:active.outlined, .button:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #c7d3d8;
          box-shadow: 0px 0px 3px 0px #c7d3d8;
}

button.bordered, .button.bordered {
  border: 1px solid #c7d3d8;
}

button.bordered:hover, button.bordered:focus, .button.bordered:hover, .button.bordered:focus {
  border-color: #bbcad0;
}

button.bordered:active, .button.bordered:active {
  border-color: #c7d3d8;
}

button.left-to-right, .button.left-to-right {
  position: relative;
}

button.left-to-right:active::before, .button.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(223, 230, 233, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.right-to-left, .button.right-to-left {
  position: relative;
}

button.right-to-left:active::before, .button.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(223, 230, 233, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.rounded, .button.rounded {
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
}

button.gray, .button.gray {
  background-color: #dfe6e9;
  color: #333;
}

button.gray:hover, button.gray:focus, .button.gray:hover, .button.gray:focus {
  background-color: #c7d3d8;
}

button.gray:active, .button.gray:active {
  background-color: #bbcad0;
}

button.gray:active.outlined, .button.gray:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #c7d3d8;
          box-shadow: 0px 0px 3px 0px #c7d3d8;
}

button.gray.bordered, .button.gray.bordered {
  border: 1px solid #c7d3d8;
}

button.gray.bordered:hover, button.gray.bordered:focus, .button.gray.bordered:hover, .button.gray.bordered:focus {
  border-color: #bbcad0;
}

button.gray.bordered:active, .button.gray.bordered:active {
  border-color: #c7d3d8;
}

button.gray.left-to-right, .button.gray.left-to-right {
  position: relative;
}

button.gray.left-to-right:active::before, .button.gray.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(223, 230, 233, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.gray.right-to-left, .button.gray.right-to-left {
  position: relative;
}

button.gray.right-to-left:active::before, .button.gray.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(223, 230, 233, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightgray, .button.lightgray {
  background-color: #f0f0f0;
  color: #333;
}

button.lightgray:hover, button.lightgray:focus, .button.lightgray:hover, .button.lightgray:focus {
  background-color: gainsboro;
}

button.lightgray:active, .button.lightgray:active {
  background-color: #d1d1d1;
}

button.lightgray:active.outlined, .button.lightgray:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px gainsboro;
          box-shadow: 0px 0px 3px 0px gainsboro;
}

button.lightgray.bordered, .button.lightgray.bordered {
  border: 1px solid gainsboro;
}

button.lightgray.bordered:hover, button.lightgray.bordered:focus, .button.lightgray.bordered:hover, .button.lightgray.bordered:focus {
  border-color: #d1d1d1;
}

button.lightgray.bordered:active, .button.lightgray.bordered:active {
  border-color: gainsboro;
}

button.lightgray.left-to-right, .button.lightgray.left-to-right {
  position: relative;
}

button.lightgray.left-to-right:active::before, .button.lightgray.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(240, 240, 240, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightgray.right-to-left, .button.lightgray.right-to-left {
  position: relative;
}

button.lightgray.right-to-left:active::before, .button.lightgray.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(240, 240, 240, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.red, .button.red {
  background-color: #d63031;
  color: #fff;
}

button.red:hover, button.red:focus, .button.red:hover, .button.red:focus {
  background-color: #b92525;
}

button.red:active, .button.red:active {
  background-color: #a82122;
}

button.red:active.outlined, .button.red:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #b92525;
          box-shadow: 0px 0px 3px 0px #b92525;
}

button.red.bordered, .button.red.bordered {
  border: 1px solid #b92525;
}

button.red.bordered:hover, button.red.bordered:focus, .button.red.bordered:hover, .button.red.bordered:focus {
  border-color: #a82122;
}

button.red.bordered:active, .button.red.bordered:active {
  border-color: #b92525;
}

button.red.left-to-right, .button.red.left-to-right {
  position: relative;
}

button.red.left-to-right:active::before, .button.red.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(214, 48, 49, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.red.right-to-left, .button.red.right-to-left {
  position: relative;
}

button.red.right-to-left:active::before, .button.red.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(214, 48, 49, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightred, .button.lightred {
  background-color: #fab1a0;
  color: #fff;
}

button.lightred:hover, button.lightred:focus, .button.lightred:hover, .button.lightred:focus {
  background-color: #f89179;
}

button.lightred:active, .button.lightred:active {
  background-color: #f78166;
}

button.lightred:active.outlined, .button.lightred:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #f89179;
          box-shadow: 0px 0px 3px 0px #f89179;
}

button.lightred.bordered, .button.lightred.bordered {
  border: 1px solid #f89179;
}

button.lightred.bordered:hover, button.lightred.bordered:focus, .button.lightred.bordered:hover, .button.lightred.bordered:focus {
  border-color: #f78166;
}

button.lightred.bordered:active, .button.lightred.bordered:active {
  border-color: #f89179;
}

button.lightred.left-to-right, .button.lightred.left-to-right {
  position: relative;
}

button.lightred.left-to-right:active::before, .button.lightred.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(250, 177, 160, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightred.right-to-left, .button.lightred.right-to-left {
  position: relative;
}

button.lightred.right-to-left:active::before, .button.lightred.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(250, 177, 160, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.blue, .button.blue {
  background-color: #0984e3;
  color: #fff;
}

button.blue:hover, button.blue:focus, .button.blue:hover, .button.blue:focus {
  background-color: #076dbc;
}

button.blue:active, .button.blue:active {
  background-color: #0762a8;
}

button.blue:active.outlined, .button.blue:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #076dbc;
          box-shadow: 0px 0px 3px 0px #076dbc;
}

button.blue.bordered, .button.blue.bordered {
  border: 1px solid #076dbc;
}

button.blue.bordered:hover, button.blue.bordered:focus, .button.blue.bordered:hover, .button.blue.bordered:focus {
  border-color: #0762a8;
}

button.blue.bordered:active, .button.blue.bordered:active {
  border-color: #076dbc;
}

button.blue.left-to-right, .button.blue.left-to-right {
  position: relative;
}

button.blue.left-to-right:active::before, .button.blue.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(9, 132, 227, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.blue.right-to-left, .button.blue.right-to-left {
  position: relative;
}

button.blue.right-to-left:active::before, .button.blue.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(9, 132, 227, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightblue, .button.lightblue {
  background-color: #74b9ff;
  color: #fff;
}

button.lightblue:hover, button.lightblue:focus, .button.lightblue:hover, .button.lightblue:focus {
  background-color: #4ba4ff;
}

button.lightblue:active, .button.lightblue:active {
  background-color: #379aff;
}

button.lightblue:active.outlined, .button.lightblue:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #4ba4ff;
          box-shadow: 0px 0px 3px 0px #4ba4ff;
}

button.lightblue.bordered, .button.lightblue.bordered {
  border: 1px solid #4ba4ff;
}

button.lightblue.bordered:hover, button.lightblue.bordered:focus, .button.lightblue.bordered:hover, .button.lightblue.bordered:focus {
  border-color: #379aff;
}

button.lightblue.bordered:active, .button.lightblue.bordered:active {
  border-color: #4ba4ff;
}

button.lightblue.left-to-right, .button.lightblue.left-to-right {
  position: relative;
}

button.lightblue.left-to-right:active::before, .button.lightblue.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(116, 185, 255, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightblue.right-to-left, .button.lightblue.right-to-left {
  position: relative;
}

button.lightblue.right-to-left:active::before, .button.lightblue.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(116, 185, 255, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.green, .button.green {
  background-color: #00b894;
  color: #fff;
}

button.green:hover, button.green:focus, .button.green:hover, .button.green:focus {
  background-color: #008f73;
}

button.green:active, .button.green:active {
  background-color: #007b63;
}

button.green:active.outlined, .button.green:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #008f73;
          box-shadow: 0px 0px 3px 0px #008f73;
}

button.green.bordered, .button.green.bordered {
  border: 1px solid #008f73;
}

button.green.bordered:hover, button.green.bordered:focus, .button.green.bordered:hover, .button.green.bordered:focus {
  border-color: #007b63;
}

button.green.bordered:active, .button.green.bordered:active {
  border-color: #008f73;
}

button.green.left-to-right, .button.green.left-to-right {
  position: relative;
}

button.green.left-to-right:active::before, .button.green.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(0, 184, 148, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.green.right-to-left, .button.green.right-to-left {
  position: relative;
}

button.green.right-to-left:active::before, .button.green.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(0, 184, 148, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightgreen, .button.lightgreen {
  background-color: #55efc4;
  color: #fff;
}

button.lightgreen:hover, button.lightgreen:focus, .button.lightgreen:hover, .button.lightgreen:focus {
  background-color: #30ebb7;
}

button.lightgreen:active, .button.lightgreen:active {
  background-color: #1deab1;
}

button.lightgreen:active.outlined, .button.lightgreen:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #30ebb7;
          box-shadow: 0px 0px 3px 0px #30ebb7;
}

button.lightgreen.bordered, .button.lightgreen.bordered {
  border: 1px solid #30ebb7;
}

button.lightgreen.bordered:hover, button.lightgreen.bordered:focus, .button.lightgreen.bordered:hover, .button.lightgreen.bordered:focus {
  border-color: #1deab1;
}

button.lightgreen.bordered:active, .button.lightgreen.bordered:active {
  border-color: #30ebb7;
}

button.lightgreen.left-to-right, .button.lightgreen.left-to-right {
  position: relative;
}

button.lightgreen.left-to-right:active::before, .button.lightgreen.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(85, 239, 196, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightgreen.right-to-left, .button.lightgreen.right-to-left {
  position: relative;
}

button.lightgreen.right-to-left:active::before, .button.lightgreen.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(85, 239, 196, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.yellow, .button.yellow {
  background-color: #fdcb6e;
  color: #fff;
}

button.yellow:hover, button.yellow:focus, .button.yellow:hover, .button.yellow:focus {
  background-color: #fcbd46;
}

button.yellow:active, .button.yellow:active {
  background-color: #fcb532;
}

button.yellow:active.outlined, .button.yellow:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #fcbd46;
          box-shadow: 0px 0px 3px 0px #fcbd46;
}

button.yellow.bordered, .button.yellow.bordered {
  border: 1px solid #fcbd46;
}

button.yellow.bordered:hover, button.yellow.bordered:focus, .button.yellow.bordered:hover, .button.yellow.bordered:focus {
  border-color: #fcb532;
}

button.yellow.bordered:active, .button.yellow.bordered:active {
  border-color: #fcbd46;
}

button.yellow.left-to-right, .button.yellow.left-to-right {
  position: relative;
}

button.yellow.left-to-right:active::before, .button.yellow.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(253, 203, 110, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.yellow.right-to-left, .button.yellow.right-to-left {
  position: relative;
}

button.yellow.right-to-left:active::before, .button.yellow.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(253, 203, 110, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightyellow, .button.lightyellow {
  background-color: #ffeaa7;
  color: #fff;
}

button.lightyellow:hover, button.lightyellow:focus, .button.lightyellow:hover, .button.lightyellow:focus {
  background-color: #ffe07e;
}

button.lightyellow:active, .button.lightyellow:active {
  background-color: #ffdb6a;
}

button.lightyellow:active.outlined, .button.lightyellow:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #ffe07e;
          box-shadow: 0px 0px 3px 0px #ffe07e;
}

button.lightyellow.bordered, .button.lightyellow.bordered {
  border: 1px solid #ffe07e;
}

button.lightyellow.bordered:hover, button.lightyellow.bordered:focus, .button.lightyellow.bordered:hover, .button.lightyellow.bordered:focus {
  border-color: #ffdb6a;
}

button.lightyellow.bordered:active, .button.lightyellow.bordered:active {
  border-color: #ffe07e;
}

button.lightyellow.left-to-right, .button.lightyellow.left-to-right {
  position: relative;
}

button.lightyellow.left-to-right:active::before, .button.lightyellow.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(255, 234, 167, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightyellow.right-to-left, .button.lightyellow.right-to-left {
  position: relative;
}

button.lightyellow.right-to-left:active::before, .button.lightyellow.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(255, 234, 167, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.violet, .button.violet {
  background-color: #6c5ce7;
  color: #fff;
}

button.violet:hover, button.violet:focus, .button.violet:hover, .button.violet:focus {
  background-color: #4c38e2;
}

button.violet:active, .button.violet:active {
  background-color: #3c27df;
}

button.violet:active.outlined, .button.violet:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #4c38e2;
          box-shadow: 0px 0px 3px 0px #4c38e2;
}

button.violet.bordered, .button.violet.bordered {
  border: 1px solid #4c38e2;
}

button.violet.bordered:hover, button.violet.bordered:focus, .button.violet.bordered:hover, .button.violet.bordered:focus {
  border-color: #3c27df;
}

button.violet.bordered:active, .button.violet.bordered:active {
  border-color: #4c38e2;
}

button.violet.left-to-right, .button.violet.left-to-right {
  position: relative;
}

button.violet.left-to-right:active::before, .button.violet.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(108, 92, 231, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.violet.right-to-left, .button.violet.right-to-left {
  position: relative;
}

button.violet.right-to-left:active::before, .button.violet.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(108, 92, 231, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightviolet, .button.lightviolet {
  background-color: #a29bfe;
  color: #fff;
}

button.lightviolet:hover, button.lightviolet:focus, .button.lightviolet:hover, .button.lightviolet:focus {
  background-color: #7c73fe;
}

button.lightviolet:active, .button.lightviolet:active {
  background-color: #6a5efd;
}

button.lightviolet:active.outlined, .button.lightviolet:active.outlined {
  -webkit-box-shadow: 0px 0px 3px 0px #7c73fe;
          box-shadow: 0px 0px 3px 0px #7c73fe;
}

button.lightviolet.bordered, .button.lightviolet.bordered {
  border: 1px solid #7c73fe;
}

button.lightviolet.bordered:hover, button.lightviolet.bordered:focus, .button.lightviolet.bordered:hover, .button.lightviolet.bordered:focus {
  border-color: #6a5efd;
}

button.lightviolet.bordered:active, .button.lightviolet.bordered:active {
  border-color: #7c73fe;
}

button.lightviolet.left-to-right, .button.lightviolet.left-to-right {
  position: relative;
}

button.lightviolet.left-to-right:active::before, .button.lightviolet.left-to-right:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(162, 155, 254, 0.5);
  -webkit-animation-name: leftToRight;
          animation-name: leftToRight;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

button.lightviolet.right-to-left, .button.lightviolet.right-to-left {
  position: relative;
}

button.lightviolet.right-to-left:active::before, .button.lightviolet.right-to-left:active::before {
  position: absolute;
  content: ' ';
  left: 0;
  top: 0;
  bottom: 0;
  background: rgba(162, 155, 254, 0.5);
  -webkit-animation-name: rightToLeft;
          animation-name: rightToLeft;
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: linear;
          animation-timing-function: linear;
}

@-webkit-keyframes leftToRight {
  0% {
    left: 0%;
    right: 100%;
  }
  33% {
    left: 0%;
    right: 50%;
  }
  67% {
    left: 50%;
    right: 0;
  }
  100% {
    left: 100%;
    right: 0%;
  }
}

@keyframes leftToRight {
  0% {
    left: 0%;
    right: 100%;
  }
  33% {
    left: 0%;
    right: 50%;
  }
  67% {
    left: 50%;
    right: 0;
  }
  100% {
    left: 100%;
    right: 0%;
  }
}

@-webkit-keyframes rightToLeft {
  0% {
    left: 100%;
    right: 0;
  }
  33% {
    left: 50%;
    right: 0;
  }
  67% {
    left: 0;
    right: 50%;
  }
  100% {
    left: 0;
    right: 100%;
  }
}

@keyframes rightToLeft {
  0% {
    left: 100%;
    right: 0;
  }
  33% {
    left: 50%;
    right: 0;
  }
  67% {
    left: 0;
    right: 50%;
  }
  100% {
    left: 0;
    right: 100%;
  }
}
/*# sourceMappingURL=ui-button.css.map */